"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InfectionPlugin = void 0;
const Infection_js_1 = require("./Options/Classes/Infection.js");
const InfectionInstance_js_1 = require("./InfectionInstance.js");
class InfectionPlugin {
    constructor() {
        this.id = "infection";
    }
    getPlugin(container) {
        return Promise.resolve(new InfectionInstance_js_1.InfectionInstance(container));
    }
    loadOptions(options, source) {
        if (!this.needsPlugin(options) && !this.needsPlugin(source)) {
            return;
        }
        let infectionOptions = options.infection;
        if (infectionOptions?.load === undefined) {
            options.infection = infectionOptions = new Infection_js_1.Infection();
        }
        infectionOptions.load(source?.infection);
    }
    needsPlugin(options) {
        return options?.infection?.enable ?? false;
    }
}
exports.InfectionPlugin = InfectionPlugin;
