(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./InfectionStage.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Infection = void 0;
    const engine_1 = require("@tsparticles/engine");
    const InfectionStage_js_1 = require("./InfectionStage.js");
    class Infection {
        constructor() {
            this.cure = false;
            this.delay = 0;
            this.enable = false;
            this.infections = 0;
            this.stages = [];
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            if (data.cure !== undefined) {
                this.cure = data.cure;
            }
            if (data.delay !== undefined) {
                this.delay = data.delay;
            }
            if (data.enable !== undefined) {
                this.enable = data.enable;
            }
            if (data.infections !== undefined) {
                this.infections = data.infections;
            }
            if (data.stages === undefined) {
                return;
            }
            this.stages = data.stages.map(t => {
                const s = new InfectionStage_js_1.InfectionStage();
                s.load(t);
                return s;
            });
        }
    }
    exports.Infection = Infection;
});
